Closed Bug 1571831 Opened 11 months ago Closed 11 months ago

Some l10n strings are missing

Categories

(Firefox :: Security, defect, P1)

defect

Tracking

()

VERIFIED FIXED
Firefox 70
Tracking Status
firefox70 --- verified
firefox71 --- verified

People

(Reporter: evilpie, Assigned: carolina.jimenez.g)

References

(Blocks 1 open bug)

Details

Attachments

(2 files)

On Github's certificate the strings for certificate-viewer-business-category, certificate-viewer-inc.-country and certificate-viewer-inc.-state-/-province seem to be missing.

Assignee: nobody → carolina.jimenez.g

There are other translations missing (certificate-viewer-not-before-utc, certificate-viewer-not-after-utc, certificate-viewer-timestamputc) but I'm not sure if they'll be display (we added them because was easier for testing)

Keywords: checkin-needed

Pushed by btara@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7599cc4b6688
Adds some l10n missing strings.r=johannh,fluent-reviewers,flod

Keywords: checkin-needed

Backed out changeset 7599cc4b6688 (Bug 1571831) for browser_renderCertToUI.js failures

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=os%2Cx%2C10.14%2Cdebug%2Cmochitests%2Ctest-macosx1014-64%2Fdebug-mochitest-browser-chrome-e10s-6%2Cm%28bc6%29%2Cdd11e95b472a872704991a990137bb4d541e82bf&tochange=7d7830b79440ac5cfcfccd161768960452b7d56d&fromchange=bf03499067fbc9fbb00e6b2c45081afb17d2cd44&selectedJob=260547842

Backout link: https://hg.mozilla.org/integration/autoland/rev/cc84cab8967039aef27a5fbbc23d89751dfa6cb0

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=260547842&repo=autoland&lineNumber=18846

[task 2019-08-08T09:15:43.913Z] 09:15:43 INFO - TEST-START | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js
[task 2019-08-08T09:15:43.913Z] 09:15:43 INFO - GECKO(1951) | Chrome file doesn't exist: /Users/cltbld/tasks/task_1565254494/build/tests/mochitest/browser/toolkit/components/certviewer/tests/browser/head.js
[task 2019-08-08T09:15:43.913Z] 09:15:43 INFO - GECKO(1951) | ++DOCSHELL 0x125a0a000 == 5 [pid = 1955] [id = {ecaa7323-0164-b747-ac52-c183af623668}]
[task 2019-08-08T09:15:43.913Z] 09:15:43 INFO - GECKO(1951) | ++DOMWINDOW == 13 (0x12971c3e0) [pid = 1955] [serial = 13] [outer = 0x0]
[task 2019-08-08T09:15:43.923Z] 09:15:43 INFO - GECKO(1951) | [Child 1955, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 664
[task 2019-08-08T09:15:43.927Z] 09:15:43 INFO - GECKO(1951) | ++DOMWINDOW == 14 (0x126c6cc00) [pid = 1955] [serial = 14] [outer = 0x12971c3e0]
[task 2019-08-08T09:15:43.929Z] 09:15:43 INFO - GECKO(1951) | [Parent 1951, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-08-08T09:15:43.930Z] 09:15:43 INFO - GECKO(1951) | [Parent 1951, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-08-08T09:15:43.949Z] 09:15:43 INFO - GECKO(1951) | ++DOMWINDOW == 15 (0x126c71c00) [pid = 1955] [serial = 15] [outer = 0x12971c3e0]
[task 2019-08-08T09:15:43.949Z] 09:15:43 INFO - GECKO(1951) | [Child 1955, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, *this) failed with result 0x80004005: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 489
[task 2019-08-08T09:15:44.228Z] 09:15:44 INFO - GECKO(1951) | [1959, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-08-08T09:15:44.228Z] 09:15:44 INFO - GECKO(1951) | [1959, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-08-08T09:15:44.228Z] 09:15:44 INFO - GECKO(1951) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /var/folders/xw/hxmp5vg531z5tmgx1wj26y_0000017/T/tmpkqqVnM.mozrunner/runtests_leaks_tab_pid1959.log
[task 2019-08-08T09:15:44.228Z] 09:15:44 INFO - GECKO(1951) | [1959, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-08-08T09:15:44.228Z] 09:15:44 INFO - GECKO(1951) | [1959, MainThread] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 198
[task 2019-08-08T09:15:44.400Z] 09:15:44 INFO - GECKO(1951) | Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2019-08-08T09:15:44.400Z] 09:15:44 INFO - GECKO(1951) | [Child 1959, Main Thread] WARNING: Could not get the program name for a cubeb stream.: 'NS_SUCCEEDED(rv)', file /builds/worker/workspace/build/src/dom/media/CubebUtils.cpp, line 384
[task 2019-08-08T09:15:44.705Z] 09:15:44 INFO - GECKO(1951) | --DOCSHELL 0x110c09000 == 0 [pid = 1954] [id = {b6731069-8fe8-8241-b84c-719ceb02f142}] [url = about:blank]
[task 2019-08-08T09:15:44.861Z] 09:15:44 INFO - GECKO(1951) | JavaScript error: , line 0: uncaught exception: [fluent] Missing translations in en-US: certificate-viewer-not-before-utc, certificate-viewer-not-after-utc, certificate-viewer-download, certificate-viewer-timestamputc.
[task 2019-08-08T09:15:45.104Z] 09:15:45 INFO - GECKO(1951) | --DOCSHELL 0x11eb09800 == 0 [pid = 1957] [id = {119182d2-ff3a-de46-b693-cdcde6ad51bc}] [url = https://example.com/]
[task 2019-08-08T09:15:45.229Z] 09:15:45 INFO - GECKO(1951) | --DOMWINDOW == 14 (0x11cd2f800) [pid = 1952] [serial = 9] [outer = 0x0] [url = about:blank]
[task 2019-08-08T09:15:45.229Z] 09:15:45 INFO - GECKO(1951) | --DOMWINDOW == 13 (0x11cd2dc00) [pid = 1952] [serial = 8] [outer = 0x0] [url = about:blank]
[task 2019-08-08T09:15:45.230Z] 09:15:45 INFO - GECKO(1951) | --DOMWINDOW == 12 (0x11cd31000) [pid = 1952] [serial = 10] [outer = 0x0] [url = about:blank]
[task 2019-08-08T09:15:45.230Z] 09:15:45 INFO - GECKO(1951) | --DOMWINDOW == 11 (0x11cd2c400) [pid = 1952] [serial = 7] [outer = 0x0] [url = about:blank]
[task 2019-08-08T09:15:45.230Z] 09:15:45 INFO - GECKO(1951) | --DOMWINDOW == 10 (0x11cd2a400) [pid = 1952] [serial = 6] [outer = 0x0] [url = about:blank]
[task 2019-08-08T09:15:45.311Z] 09:15:45 INFO - TEST-INFO | started process screencapture
[task 2019-08-08T09:15:45.466Z] 09:15:45 INFO - TEST-INFO | screencapture: exit 0
[task 2019-08-08T09:15:45.466Z] 09:15:45 INFO - Buffered messages logged at 09:15:43
[task 2019-08-08T09:15:45.466Z] 09:15:45 INFO - Entering test bound test
[task 2019-08-08T09:15:45.542Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | adjustedCerts found - {"certItems":[{"sectionTitle":"Subject Name","sectionItems":[{"label":"Business Category","info":"Private Organization"},{"label":"Inc. Country","info":"US"},{"label":"Inc. State / Province","info":"Delaware"},{"label":"Serial Number","info":"5157550"},{"label":"Country","info":"US"},{"label":"State / Province","info":"California"},{"label":"Locality","info":"San Francisco"},{"label":"Organization","info":"GitHub, Inc."},{"label":"Common Name","info":"github.com"}],"Critical":false},{"sectionTitle":"Issuer Name","sectionItems":[{"label":"Country","info":"US"},{"label":"Organization","info":"DigiCert Inc"},{"label":"Organizational Unit","info":"www.digicert.com"},{"label":"Common Name","info":"DigiCert SHA2 Extended Validation Server CA"}],"Critical":false},{"sectionTitle":"Validity","sectionItems":[{"label":"Not Before","info":"5/7/2018, 9:00:00 PM (Brasilia Standard Time)"},{"label":"Not Before UTC","info":"Tue, 08 May 2018 00:00:00 GMT"},{"label":"Not After","info":"6/3/2020, 9:00:00 AM (Brasilia Standard Time)"},{"label":"Not After UTC","info":"Wed, 03 Jun 2020 12:00:00 GMT"}],"Critical":false},{"sectionTitle":"Subject Alt Names","sectionItems":[{"label":"DNS Name","info":"github.com"},{"label":"DNS Name","info":"www.github.com"}],"Critical":false},{"sectionTitle":"Public Key Info","sectionItems":[{"label":"Algorithm","info":"RSA"},{"label":"Key size","info":2048},{"label":"Curve"},{"label":"Public Value"},{"label":"Exponent","info":65537},{"label":"Modulus","info":"C6:3C:AA:F2:3C:97:0C:3A:C1:4F:28:AD:72:70:7D:D3:CE:B9:B5:60:73:A4:74:9B:8A:77:46:FD:7A:98:42:4C:C5:30:19:57:9A:A9:33:0B:E1:5D:4D:10:58:CA:77:99:C3:93:F3:F9:75:90:BC:BF:BB:E0:95:BA:2E:C5:8D:73:61:05:D3:10:84:A8:B3:89:B8:2F:73:8C:F0:2A:6E:BE:EE:AE:83:4B:82:11:B1:61:FD:77:61:DA:9B:1B:9A:23:FF:8C:7E:A2:01:06:DD:D1:7F:53:96:08:C1:5A:FA:E7:C0:CA:C8:44:8C:57:A7:A8:61:5F:66:0D:57:D3:B8:96:AC:B6:4A:9C:C1:EA:E8:FB:96:40:29:F6:15:30:B5:04:B0:CC:05:B6:84:C3:24:59:95:7F:A2:65:90:E5:B0:B3:1A:75:59:C4:3F:31:14:0A:D5:CC:AA:3A:85:05:52:06:32:96:07:61:DF:27:82:0C:F7:85:DB:60:31:F0:09:50:C5:B7:1A:23:E1:B0:7D:02:F5:14:1E:C9:CB:E8:7E:2A:33:04:F6:51:3F:52:98:15:E9:0B:76:47:5C:4D:4A:6B:C5:08:15:AE:F8:D1:57:E9:EA:70:14:FF:C9:45:B9:0C:7C:BC:F4:6D:E6:05:52:F9:8C:80:BB:70:56:91:0F:4B"}],"Critical":false},{"sectionTitle":"Miscellaneous","sectionItems":[{"label":"Serial Number","info":"0A:06:30:42:7F:5B:BC:ED:69:57:39:65:93:B6:45:1F"},{"label":"Signature Algorithm","info":"SHA-256 with RSA Encryption"},{"label":"Version","info":"3"},{"label":"Download","info":"-----BEGIN%20CERTIFICATE-----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%0D%0AWUjbST4VXmdaol7uzFMojA4zkxQDZAvF5XgJlAFadfySna/teik=%0D%0A-----END%20CERTIFICATE-----%0D%0A"}],"Critical":false},{"sectionTitle":"Fingerprints","sectionItems":[{"label":"SHA-256","info":"31:11:50:0C:4A:66:01:2C:DA:E3:33:EC:3F:CA:1C:9D:DE:45:C9:54:44:0E:7E:E4:13:71:6B:FF:36:63:C0:74"},{"label":"SHA-1","info":"CA:06:F5:6B:25:8B:7A:0D:4F:2B:05:47:09:39:47:86:51:15:19:84"}],"Critical":false},{"sectionTitle":"Basic Constraints","sectionItems":[{"label":"Certificate Authority"}],"Critical":true},{"sectionTitle":"Key Usages","sectionItems":[{"label":"Purposes","info":["Digital Signature","Key Encipherment"]}],"Critical":true},{"sectionTitle":"Extended Key Usages","sectionItems":[{"label":"Purposes","info":["Server Authentication","Client Authentication"]}],"Critical":false},{"sectionTitle":"OCSP Stapling","sectionItems":[{"label":"Required","info":false}],"Critical":false},{"sectionTitle":"Subject Key ID","sectionItems":[{"label":"Key ID","info":"C9:C2:53:61:66:9D:5F:AB:25:F4:26:CD:0F:38:9A:A8:49:EA:48:A9"}],"Critical":false},{"sectionTitle":"Authority Key ID","sectionItems":[{"label":"Key ID","info":"3D:D3:50:A5:D6:A0:AD:EE:F3:4A:60:0A:65:D3:21:D4:F8:F8:D6:0F"}],"Critical":false},{"sectionTitle":"CRL Endpoints","sectionItems":[{"label":"Distribution Point","info":"http://crl3.digicert.com/sha2-ev-server-g2.crl"},{"label":"Distribution Point","info":"http://crl4.digicert.com/sha2-ev-server-g2.crl"}],"Critical":false},{"sectionTitle":"Authority Info (AIA)","sectionItems":[{"label":"Location","info":"http://ocsp.digicert.com"},{"label":"Method","info":"Online Certificate Status Protocol (OCSP)"},{"label":"Location","info":"http://cacerts.digicert.com/DigiCertSHA2ExtendedValidationServerCA.crt"},{"label":"Method","info":"CA Issuers"}],"Critical":false},{"sectionTitle":"Certificate Policies","sectionItems":[{"label":"Policy","info":"ANSI Organizational Identifier ( 2.16.840 )"},{"label":"Value","info":"2.16.840.1.114412.2.1"},{"label":"Qualifier","info":"Practices Statement ( 1.3.6.1.5.5.7.2.1 )"},{"label":"Value","info":"https://www.digicert.com/CPS"},{"label":"Policy","info":"Certificate Type ( 2.23.140.1.1 )"},{"label":"Value","info":"Extended Validation"}],"Critical":false},{"sectionTitle":"Embedded SCTs","sectionItems":[{"label":"logId","info":"A4:B9:09:90:B4:18:58:14:87:BB:13:A2:CC:67:70:0A:3C:35:98:04:F9:1B:DF:B8:E3:77:CD:0E:C8:0D:DC:10"},{"label":"name","info":"Google “Pilot”"},{"label":"signatureAlgorithm","info":"SHA-256 ECDSA"},{"label":"timestamp","info":"5/8/2018, 5:12:39 PM (Brasilia Standard Time)"},{"label":"timestampUTC","info":"Tue, 08 May 2018 20:12:39 GMT"},{"label":"version","info":1},{"label":"logId","info":"56:14:06:9A:2F:D7:C2:EC:D3:F5:E1:BD:44:B2:3E:C7:46:76:B9:BC:99:11:5C:C0:EF:94:98:55:D6:89:D0:DD"},{"label":"name","info":"DigiCert Server"},{"label":"signatureAlgorithm","info":"SHA-256 ECDSA"},{"label":"timestamp","info":"5/8/2018, 5:12:39 PM (Brasilia Standard Time)"},{"label":"timestampUTC","info":"Tue, 08 May 2018 20:12:39 GMT"},{"label":"version","info":1},{"label":"logId","info":"BB:D9:DF:BC:1F:8A:71:B5:93:94:23:97:AA:92:7B:47:38:57:95:0A:AB:52:E8:1A:90:96:64:36:8E:1E:D1:85"},{"label":"name","info":"Google “Skydiver”"},{"label":"signatureAlgorithm","info":"SHA-256 ECDSA"},{"label":"timestamp","info":"5/8/2018, 5:12:39 PM (Brasilia Standard Time)"},{"label":"timestampUTC","info":"Tue, 08 May 2018 20:12:39 GMT"},{"label":"version","info":1}],"Critical":false}],"tabName":"github.com"} == true -
[task 2019-08-08T09:15:45.542Z] 09:15:45 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
[task 2019-08-08T09:15:45.542Z] 09:15:45 INFO - Buffered messages logged at 09:15:45
[task 2019-08-08T09:15:45.542Z] 09:15:45 INFO - Console message: [JavaScript Error: "uncaught exception: [fluent] Missing translations in en-US: certificate-viewer-not-before-utc, certificate-viewer-not-after-utc, certificate-viewer-download, certificate-viewer-timestamputc."]
[task 2019-08-08T09:15:45.542Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | infoGroups found - {"0":{},"1":{},"2":{},"3":{},"4":{},"5":{},"6":{},"7":{},"8":{},"9":{},"10":{},"11":{},"12":{},"13":{},"14":{},"15":{},"16":{}} == true -
[task 2019-08-08T09:15:45.543Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | infoGroups must have the same length of adjustedCerts - 17 == 17 -
[task 2019-08-08T09:15:45.543Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Tab name should be the same - "github.com" == "github.com" -
[task 2019-08-08T09:15:45.543Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | The element exists in adjustedCerts - {"sectionTitle":"Subject Name","sectionItems":[{"label":"Business Category","info":"Private Organization"},{"label":"Inc. Country","info":"US"},{"label":"Inc. State / Province","info":"Delaware"},{"label":"Serial Number","info":"5157550"},{"label":"Country","info":"US"},{"label":"State / Province","info":"California"},{"label":"Locality","info":"San Francisco"},{"label":"Organization","info":"GitHub, Inc."},{"label":"Common Name","info":"github.com"}],"Critical":false} == true -
[task 2019-08-08T09:15:45.543Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | sectionItems must be the same length - 9 == 9 -
[task 2019-08-08T09:15:45.543Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - true == true -
[task 2019-08-08T09:15:45.543Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "Private Organization" == "Private Organization" -
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - Buffered messages finished
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - false == true -
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - Stack trace:
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - resource://testing-common/content-task.js line 62 > eval:null:79
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "US" == "US" -
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - false == true -
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - Stack trace:
[task 2019-08-08T09:15:45.544Z] 09:15:45 INFO - resource://testing-common/content-task.js line 62 > eval:null:79
[task 2019-08-08T09:15:45.545Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "Delaware" == "Delaware" -
[task 2019-08-08T09:15:45.545Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - true == true -
[task 2019-08-08T09:15:45.545Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "5157550" == "5157550" -
[task 2019-08-08T09:15:45.545Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - true == true -
[task 2019-08-08T09:15:45.545Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "US" == "US" -
[task 2019-08-08T09:15:45.545Z] 09:15:45 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-08T09:15:45.545Z] 09:15:45 INFO - TEST-UNEXPECTED-FAIL | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - false == true -
[task 2019-08-08T09:15:45.546Z] 09:15:45 INFO - Stack trace:
[task 2019-08-08T09:15:45.546Z] 09:15:45 INFO - resource://testing-common/content-task.js line 62 > eval:null:79
[task 2019-08-08T09:15:45.546Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "California" == "California" -
[task 2019-08-08T09:15:45.546Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - true == true -
[task 2019-08-08T09:15:45.546Z] 09:15:45 INFO - GECKO(1951) | --DOMWINDOW == 9 (0x11cd5b980) [pid = 1952] [serial = 5] [outer = 0x0] [url = moz-extension://f44e8b02-2705-6b4c-92f5-50a212ab6d9b/_generated_background_page.html]
[task 2019-08-08T09:15:45.546Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "San Francisco" == "San Francisco" -
[task 2019-08-08T09:15:45.546Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | data-l10n-id must contain the original label - true == true -
[task 2019-08-08T09:15:45.547Z] 09:15:45 INFO - TEST-PASS | toolkit/components/certviewer/tests/browser/browser_renderCertToUI.js | Info must be equal - "GitHub, Inc." == "GitHub, Inc." -

Flags: needinfo?(carolina.jimenez.g)

Thank you, I'll work on that

Flags: needinfo?(carolina.jimenez.g)
Keywords: checkin-needed

Pushed by archaeopteryx@coole-files.de:
https://hg.mozilla.org/integration/autoland/rev/ff9a7905d22c
Adds some l10n missing strings.r=johannh,fluent-reviewers,flod

Keywords: checkin-needed
Status: ASSIGNED → RESOLVED
Closed: 11 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 70

Reproduced the issue using nightly Fx70.0a1 buildID: 20190806214332.
The issue is verified fixed using the latest nightly Fx71.0a1 on windows 10, ubuntu 18.04 and macOS 10.13. The strings are now correctly displayed.

Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.